2019-12-07 07:29 CET

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005856Spring engineGeneralpublic2017-12-30 02:29
Reporterabma 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target Version105.0Fixed in Version 
Summary0005856: ./spring --list-config-vars crashes
DescriptionProgram received signal SIGSEGV, Segmentation fault.
0x0000000000000000 in ?? ()
(gdb) bt
#0 0x0000000000000000 in ?? ()
#1 0x00005555559abc6d in Shader::GLSLProgramObject::Release (this=this@entry=0x5555562aadc8 <gRenderBuffer2DT+680>, deleteShaderObjs=deleteShaderObjs@entry=true)
    at rts/Rendering/Shaders/Shader.cpp:366
#2 0x000055555593fa68 in Shader::GLSLProgramObject::~GLSLProgramObject (this=0x5555562aadc8 <gRenderBuffer2DT+680>, __in_chrg=<optimized out>)
    at rts/Rendering/Shaders/Shader.h:348
0000003 GL::RenderDataBuffer::~RenderDataBuffer (this=0x5555562aad50 <gRenderBuffer2DT+560>, __in_chrg=<optimized out>) at rts/Rendering/GL/RenderDataBuffer.hpp:141
0000004 __tcf_8 () at rts/Rendering/GL/RenderDataBuffer.cpp:20
0000005 0x00007ffff4c36ec0 in __run_exit_handlers (status=status@entry=0, listp=0x7ffff4fd56f8 <__exit_funcs>, run_list_atexit=run_list_atexit@entry=true,
    run_dtors=run_dtors@entry=true) at exit.c:83
#6 0x00007ffff4c36f1a in __GI_exit (status=status@entry=0) at exit.c:105
#7 0x0000555555a5ef0c in SpringApp::ParseCmdLine (this=this@entry=0x7fffffffe650, argc=<optimized out>, argv=<optimized out>) at rts/System/SpringApp.cpp:434
#8 0x0000555555a5fa61 in SpringApp::SpringApp (this=0x7fffffffe650, argc=<optimized out>, argv=<optimized out>) at rts/System/SpringApp.cpp:175
#9 0x0000555555a476f8 in Run (argc=2, argv=0x7fffffffe828) at rts/System/Main.cpp:42
0000010 0x00005555556261ae in main (argc=2, argv=0x7fffffffe828) at rts/System/Main.cpp:92
Additional Informationthe same for spring --version, etc

./spring --version
spring version 104.0.1-453-g9925c6028 develop
Speicherzugriffsfehler (Speicherabzug geschrieben)
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0018699

Kloot (developer)

Fix f0e89d88e0951b3cc612b8291d09c82e8d84993e committed to develop branch: fix 0005856, repo: spring changeset id: 9370
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2017-12-28 14:57 abma New Issue
2017-12-30 02:29 Kloot Changeset attached => spring develop f0e89d88
2017-12-30 02:29 Kloot Note Added: 0018699
2017-12-30 02:29 Kloot Assigned To => Kloot
2017-12-30 02:29 Kloot Status new => resolved
2017-12-30 02:29 Kloot Resolution open => fixed
+Issue History